# $Revision: 1.12 $, $Date: 2002/09/22 16:59:29 $
#
# TODO:
# - remove all MIBs from scotty and add fix for use MIBs from
#   /usr/share/mibs from libsmi (scotty depends on libsmi).
#
%define	snap		00-02-21
%define	snapdate	20000221
%define	tkined_version	1.5.0
Summary:	Tcl extension to build network management applications using Tcl (and Tk)
Summary(pl):	Rozszerzenie Tcl do budowania aplikacji zarzdzajcych sieci
Name:		scotty
Version:	3.0.0
Release:	0.%{snapdate}.2
License:	Free
Group:		Applications/Networking
Source0:	%{name}-%{snap}.tar.gz
#Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/tkined/%{name}-%{version}.tar.gz
Patch0:		%{name}-configure.patch
Patch1:		%{name}-install.patch
Patch2:		%{name}-preamble_scripts_fixes.patch
Patch3:		%{name}-no_libnsl.patch
Patch4:		%{name}-do_not_check_tcl_tk_version.patch
URL:		http://wwwsnmp.cs.utwente.nl/~schoenw/scotty/
BuildRequires:	autoconf
BuildRequires:	tcl-devel >= 8.2
BuildRequires:	tk-devel >= 8.2
BuildRequires:	libsmi-devel >= 0.2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scotty is a Tcl extension to build network management applications
using Tcl (and Tk). The scotty extension provides new Tcl commands to

 - send and receive ICMP packets
 - query the Domain Name System (DNS)
 - access UDP sockets from Tcl
 - probe and use some selected SUN RPCs
 - retrieve and serve documents via HTTP
 - send and reveice SNMP messages (SNMPv1, SNMPv2C, SNMPv3)
 - write special purpose SNMP agents in Tcl
 - parse and access SNMP MIB definitions
 - schedule jobs that are to be done regularly
 - realize event driven programming on network maps

This scotty distributions also includes the sources for Tkined. Tkined
is a network editor which allows to draw maps showing your network
configuration. The most important feature of Tkined is its programming
interface which allows network management applications to extend the
capabilities of Tkined. Most applications for Tkined are written using
the Tnm Tcl extension.

%description -l pl
Scotty jest rozszerzeniem Tcl do budowania aplikacji do zarzdzania
sieci przy uyciu Tcl (i Tk). Scotty udostpnia nowe polecenia Tcl
do:
 - wysyania i odbierania pakietw ICMP\
 - odpytywania DNS
 - dostpu do gniazdek UDP
 - testowania i uywania niektrych Sun RPC
 - cigania i serwowania dokumentw po HTTP
 - wysyania i odbierania komunikatw SNMP (v1, v2C, v3)
 - pisania agentw SNMP
 - parsowania i dostpu do definicji SNMP MIB
 - kolejkowania zada do regularnego wykonywania
 - realizacji programowania sterowanego zdarzeniami na mapach
   sieciowych

Ta dystrybucja Scotty zawiera take rda Tkined. Jest to sieciowy
edytor pozwalajcy rysowa mapy obrazujce konfiguracj sieci.
Najwaniejsz cech Tkined jest programistyczny interfejs pozwalajcy
aplikacjom zarzdzajcym sieci rozszerza jego moliwoci. Wikszo
aplikacji dla Tkined jest pisana przy uyciu rozszerzenia Tnm dla Tcl.

%prep
%setup -q -n %{name}-%{snap}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cd unix
%{__aclocal}
%{__autoconf}
%configure
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C unix \
	install sinstall \
	DESTDIR=$RPM_BUILD_ROOT

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/scotty
#!/bin/sh
TCLLIBPATH="%{_libdir}/tnm%{version} \$TCLLIBPATH"
export TCLLIBPATH
%{_bindir}/scotty%{version}
EOF

ln -sf tkined%{tkined_version} $RPM_BUILD_ROOT%{_bindir}/tkined

perl -pi -e "s|$RPM_BUILD_ROOT||g" \
	$RPM_BUILD_ROOT%{_libdir}/{tkined%{tkined_version},tnm%{version}}/pkgIndex.tcl

rm -f $RPM_BUILD_ROOT%{_mandir}/mann/http.n

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/tkined%{tkined_version}/apps
echo auto_mkindex . library.tcl | %{_bindir}/tclsh

%preun
rm -f %{_libdir}/tkined%{tkined_version}/apps/tclIndex

%files
%defattr(644,root,root,755)
%doc README license.terms
%attr(755,root,root) %{_bindir}/scotty*
%attr(755,root,root) %{_bindir}/tkined*

%attr(4755,root,root) %{_bindir}/nmicmpd
%attr(4755,root,root) %{_bindir}/nmtrapd

%attr(-,root,root) %{_libdir}/tkined%{tkined_version}
%attr(-,root,root) %{_libdir}/tnm%{version}

%attr(755,root,root) %{_libdir}/*.so

%{_mandir}/man1/*
%{_mandir}/man8/*
%{_mandir}/mann/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: scotty.spec,v $
Revision 1.12  2002/09/22 16:59:29  kloczek
- relese *.2,
- fix http://bugs.pld.org.pl/index.php?bug=336: added preamble_scripts_fixes
  (use directly in all scripts preamble #!/usr/bin/{wish,tclsh}) and
  do_not_check_tcl_tk_version (remove checking tcl/tk version),
- added no_libnsl patch.
TODO: remove all MIBs from scotty and add fix for use MIBs from /usr/share/mibs
from libsmi (scotty depends on libsmi).

Revision 1.11  2002/08/30 10:56:54  kloczek
- use new %doc.

Revision 1.10  2002/05/21 23:14:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:14:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/11 14:10:45  qboosh
- BuildRequires: autoconf

Revision 1.5  2001/10/03 07:44:27  qboosh
- pl translations, noted Source URL

Revision 1.4  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2000/10/20 15:01:18  baggins
- updated to latest 3.0.0 snapshot

Revision 1.2  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/04/10 16:08:46  baggins
- PLD compliant
